org.codehaus.plexus.classworlds

## Class ClassWorld

- java.lang.Object
- - org.codehaus.plexus.classworlds.ClassWorld

Direct Known Subclasses:
  ClassWorldReverseAdapter

    public class ClassWorld
    extends java.lang.Object

A collection of `ClassRealm`s, indexed by id.

Version:
  $Id: ClassWorld.java 8163 2009-05-04 20:26:11Z jvanzyl $
Author:
  bob mcwhirter

### Constructor Summary

Constructors
Constructor and Description
`ClassWorld()`
`ClassWorld(java.lang.String realmId, java.lang.ClassLoader classLoader)`

### Method Summary

Methods
`void` `disposeRealm(java.lang.String id)`
`ClassRealm` `getClassRealm(java.lang.String id)`
`ClassRealm` `getRealm(java.lang.String id)`
`java.util.Collection` `getRealms()`
`ClassRealm` `newRealm(java.lang.String id)`
`ClassRealm` `newRealm(java.lang.String id, java.lang.ClassLoader classLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassWorld

    public ClassWorld(java.lang.String realmId,
              java.lang.ClassLoader classLoader)

#### ClassWorld

    public ClassWorld()

### Method Detail

#### newRealm

    public ClassRealm newRealm(java.lang.String id)
                        throws DuplicateRealmException

Throws:
  `DuplicateRealmException`

#### newRealm

    public ClassRealm newRealm(java.lang.String id,
                      java.lang.ClassLoader classLoader)
                        throws DuplicateRealmException

Throws:
  `DuplicateRealmException`

#### disposeRealm

    public void disposeRealm(java.lang.String id)
                      throws NoSuchRealmException

Throws:
  `NoSuchRealmException`

#### getRealm

    public ClassRealm getRealm(java.lang.String id)
                        throws NoSuchRealmException

Throws:
  `NoSuchRealmException`

#### getRealms

    public java.util.Collection getRealms()

#### getClassRealm

    public ClassRealm getClassRealm(java.lang.String id)